# PingEx

### Description

Pings the License Server and returns the UTC date on the server.

```csharp
bool PingEx(string webServiceUrl, 
          out string response, 
          out DateTime serverDate)
```

### Parameters

| Parameter     |     Type     | Description                         |
| ------------- | :----------: | ----------------------------------- |
| webServiceUrl |    string    | URL to the QLM License Server       |
| response      |  out string  | the response from the server        |
| serverDate    | out DateTime | the date/time on the server in UTC. |

### Return

| Type   | Description                       |
| ------ | --------------------------------- |
| string | true if the server is accessible. |

### Remarks

This function is recommended over the Ping method as it will timeout in a faster, more reliable way. You can configure the timeout by setting the QlmLicense.Timeout property.

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/application-methods/pingex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
